#!/usr/bin/env python

# gets a list of samba shares on the selected host

import os
import string
from os import system, environ, path, getenv, mkdir, getcwd

def getsmbshare(host, id):
    # check if ~/.pyNeighborhood exists. If not, create it
    if not path.exists(getenv("HOME")+"/.pyNeighborhood"): 
        mkdir(getenv("HOME")+"/.pyNeighborhood")

    if path.exists(getenv("HOME")+"/.pyNeighborhood"): 
        home = getenv("HOME")
        conflocation = string.join([home, "/.pyNeighborhood"], '')
        os.chdir(conflocation)
        #print os.getcwd()

    #specify a command to get a list of smb-shares of a current  host
    get_client_command = 'smbclient -N -L'
    #specify the output file using shell tools

    #command = string.join([get_client_command, host, foutput])
    command = string.join([get_client_command, host])
    lines = os.popen(command).readlines()
	
    #print lines
    sharelist = []
    commentlist = []
    #################
    i = 3
    #print lines
    try:
        for number in lines:
            line = lines[i]	
            hostline = line.split('   ')
            commentline = hostline[len(hostline) - 1].split('\n')
            temp = commentline[0].split()
            comment = string.join(temp)
            endline = hostline[0].split('\t')
            if endline[0] == '\n':
                break
            if endline[1] != 'IPC$'  and endline[1] != "ADMIN$":
                #print endline[1]
                sharelist.append(endline[1])
                commentlist.append(comment)
            i = i+1
        return sharelist, commentlist
    except:
        sharelist = 0
        commentlist = string.split(lines[0], "\n")
        comment = commentlist[0]
        #print sharelist, commentlist
        return sharelist, comment
	
	
if __name__=="__main__":
    (t1, t2) = getsmbshare('video', 0)
    print t1
    print t2

