#!/usr/bin/env python

# defines a set of commonly used handlers

import dialog
import addconfig
import threads

def scan(ParentWidget, MainWindow):
    treeselection = ParentWidget.treeview.get_selection()
    (model, iter) = treeselection.get_selected()
    if iter != None:
        path = model.get_path(iter)
        column = ParentWidget.treeview.get_column(0)
        try:
            path = model.get_path(iter)
        except:
            dialog.dialog("Please select a host to scan", None)
        if model.iter_parent(iter) == None:
            thr = threads.Append_Thread(ParentWidget.treeview,
                                        path,
                                        column,
                                        ParentWidget.treestore)
            thr.start()
        else:
            print "Current selection is a share."
            dialog.dialog("Current selection is a share.", MainWindow.window)
    return

def remove(ParentWidget, MainWindow):
    treeselection = ParentWidget.treeview.get_selection()
    (model, iter) = treeselection.get_selected()
    path = model.get_path(iter)
    model = ParentWidget.treeview.get_model()
    iter = model.get_iter(path)
    current_host = model.get_value(iter, 0)
    if model.iter_parent(iter) == None:
        ParentWidget.treestore.remove(iter)
        addconfig.rmhost(current_host)
    else:
        print "Current selection is a share."
        dialog.dialog("Current selection is a share.", MainWindow.window)
    return

def filemanager(ParentWidget, MainWindow):
    treeselection = ParentWidget.treeview.get_selection()
    (model, iter) = treeselection.get_selected()
    if iter != None:
        thr = threads.Fmanager_Thread(MainWindow.notebook,
                                      ParentWidget.treeview)
        thr.start()

def mount(ParentWidget, MainWindow):
    treeselection = ParentWidget.treeview.get_selection()
    (model, iter) = treeselection.get_selected()
    if iter != None:
        path = model.get_path(iter)
        column = ParentWidget.treeview.get_column(0)
        if model.iter_parent(iter) != None:
            thr = threads.Mount_Thread(ParentWidget.treeview,  
                                       path, 
                                       column, 
                                       ParentWidget.treestore, 
                                       MainWindow.notebook)
            thr.start()
        else:
            dialog.dialog("Current selection is a hostname.\nFailed to mount.", MainWindow.window)
    return

