#!/usr/bin/env python

# creates a monitor view

import pygtk
pygtk.require('2.0')
import gtk
import gobject 

import mainwindow
import handlers
import mainwindow

class Monitor_Widget:

    def instance(self):
        return self

    def menuaction_handler_umount(self, parm1):
        self.mainwindow.umount()

    def menuaction_handler_filemngr(self, parm1):
        handlers.filemanager(self, self.mainwindow)

    def widget_popup(self):
        popup = gtk.Menu()
        separator = gtk.SeparatorMenuItem()
        item1 = gtk.ImageMenuItem("UNMOUNT")
        item2 = gtk.ImageMenuItem("FILEMANAGER")

        popup.append(item1)
        popup.append(item2)

        item1.connect("activate", self.menuaction_handler_umount)
        item2.connect("activate", self.menuaction_handler_filemngr)
        menu = popup
        return menu

    def button_clicked(self, widget, event):
        try:
            if event.type == gtk.gdk.BUTTON_PRESS and event.button == 3:
                widget.popup(None, None, None, 3, gtk.get_current_event_time())
                widget.show_all()
        except:
            return

    def Monitor(self):
        c_names = ["Resource", "Mountpoint"]
        cell = gtk.CellRendererText()

        tvcolumn = [None] * len(c_names)
        tvcolumn[0] = gtk.TreeViewColumn(c_names[0], cell)
        tvcolumn[1] = gtk.TreeViewColumn(c_names[1], cell)

        tvcolumn[0].add_attribute(cell, 'text', 0)
        tvcolumn[1].add_attribute(cell, 'text', 1)

        self.treeview.append_column(tvcolumn[0])
        self.treeview.append_column(tvcolumn[1])

        tvcolumn[0].set_resizable(True)
        tvcolumn[1].set_resizable(True)

        self.treeview.set_expander_column(self.treeview.get_column(0))

        self.treeview.set_search_column(0)

        menu = self.widget_popup()
        self.treeview.connect_object("button_press_event", self.button_clicked, menu)

        scrolledwindow = gtk.ScrolledWindow()
        scrolledwindow.set_policy(gtk.POLICY_AUTOMATIC, gtk.POLICY_AUTOMATIC)
        scrolledwindow.add(self.treeview)
        return scrolledwindow, self.treestore, self.treeview

    def __init__(self, MainWindow):
        self.treestore = gtk.TreeStore(str, str)
        self.treeview = gtk.TreeView(self.treestore)
        self.mainwindow = MainWindow
 
