#!/usr/bin/env python

# Handles mount and unmount processes 

import os
import thread
import string
from os import system, environ, path, getenv, mkdir, getcwd

import pyNeighborhood

def sharmount(hostname, sharename):
    # check if mount folder exists. If not, create it
    mount_dir = pyNeighborhood.parser.optdict["mount_directory"]
    os.chdir(mount_dir)

    if not path.exists(mount_dir + "/" + hostname): 
        mkdir(hostname)
    if not path.exists(mount_dir + "/" + hostname + "/" + sharename): 
        os.chdir(mount_dir + "/" + hostname)
        mkdir(sharename)
    os.chdir(getenv("HOME")+"/.pyNeighborhood")

    mount_point = string.join([mount_dir, "/" ,hostname , "/" , sharename], '')
    #print mount_point

    mount_command = pyNeighborhood.parser.optdict["smb_mount"]
    mnt_options = pyNeighborhood.parser.optdict["smb_options"]
    password = string.join(["password=", ""], '')
    #options = string.join([" ", mnt_options, ", " , " ",password], '')
    options = string.join([password, "," , mnt_options], '')
    host = string.join(["//", hostname, "/", sharename], '')

    command = string.join([mount_command, host, mount_point, '-o', options], ' ')
    print command
    os.system(command)
    return 

def sharumount(mount_point):
    mount_dir = pyNeighborhood.parser.optdict["mount_directory"]

    if not path.exists(mount_point): 
        error_message = "No such mountpoint"
    else: 
        umount_command = pyNeighborhood.parser.optdict["smb_umount"]
        command = string.join([umount_command, " ",mount_point], '')
        print command
        msg = os.system(command)
        if msg == 0: 
            return True
        if msg == 256: 
            return False

def file_mng(mount_point):
    mount_dir = pyNeighborhood.parser.optdict["mount_directory"]
    if not path.exists(mount_point): 
        print "No such mountpint "
        return

    file_manager = pyNeighborhood.parser.file_managers[0]
    file_manager_command = string.join([file_manager, mount_point])
    os.popen(file_manager_command)
    return 

if __name__=="__main__":
    sharmount("video", "Video")
	
