#!/usr/bin/env python

# checks mounted resources

import os
import string
from os import system, environ, path, getenv, mkdir, getcwd
import threading
import time
import pyNeighborhood
from threading import Thread

class MtabThread(Thread):
    def __init__(self):
        Thread.__init__(self)
    def run(self):
        while True:
            checkmount()
        return
		

def checkmount():
    mtab_loc = "/proc" #pyNeighborhood.parser.optdict["mtab_location"]
    #check if ~/.pyNeighborhood exists. If not, create it
    if not path.exists(mtab_loc): 
        print "mtab not found"

    if path.exists(mtab_loc): 
        os.chdir(mtab_loc)
        #print os.getcwd()
		
#    mtab = open('mtab', 'r')
    mtab = open('mounts', 'r')
    mtab.seek(0)
    #create a list of all the files in .temp
    lines = mtab.readlines()
    sharehost = []
    share = []
    host = []
    mount_point = []

    n=0
    for num in lines:
        temp_line =  lines[n].split()
        if temp_line[2] == 'smbfs':
            sharehost.append(temp_line[0])
            mount_point.append(temp_line[1])
            #print share, mount_point
        n = n+1
		
    for num in sharehost:
        temp_num = num.split('/')
        share.append(temp_num[3])
        host.append(temp_num[2])

    #print host, share , mount_point
    return host, share , mount_point

def monitor():
    thr = MtabThread()
    thr.start()
    threads.append(thr)

if __name__=="__main__":
    l, m , n = checkmount()
    print l, m, n

