#!/usr/bin/env python

# launch a program

import pygtk
pygtk.require('2.0')
import gtk
import os
import string
from os import system, environ, path, getenv, mkdir, getcwd
from shutil import copy

import mainwindow
import config
import optparser

parser = optparser.OptionsParser(getenv("HOME")+"/.pyNeighborhood"+"/"+"options.conf")

class iconset:
    def __init__(self, path):
        #
        # Register pyNeighborhood iconset
        #
        iconfactory = gtk.IconFactory()
        hosts_icon = gtk.gdk.pixbuf_new_from_file(string.join([path, "host.png"], '/'))
        share_icon = gtk.gdk.pixbuf_new_from_file(string.join([path, "share.png"], '/'))
        pyn_icon = gtk.gdk.pixbuf_new_from_file(string.join([path, "pyneighborhood.png"], '/'))

        iconset = gtk.IconSet(hosts_icon)
        iconfactory.add('host', iconset)

        iconset = gtk.IconSet(share_icon)
        iconfactory.add('share', iconset)

        iconset = gtk.IconSet(pyn_icon)
        iconfactory.add('pyneigh', iconset)

        #
        # Add custom stock icons
        #
        item = [("MOUNT", "Mount", gtk.gdk.CONTROL_MASK, 0, ''),
                ("UNMOUNT", "Unmount", gtk.gdk.CONTROL_MASK, 0, ''),
                ("SCAN", "Scan", gtk.gdk.CONTROL_MASK, 0, ''),
                ("FILEMANAGER", "File Manager", gtk.gdk.CONTROL_MASK, 0, '')]
        gtk.stock_add(item)

        pixbuf = gtk.gdk.pixbuf_new_from_file(string.join([path, "mount.png"], '/'))
        pixbuf = pixbuf.add_alpha(True, chr(0xff), chr(0xff), chr(0xff))
        iconset = gtk.IconSet (pixbuf)
        iconfactory.add ("MOUNT", iconset)

        pixbuf = gtk.gdk.pixbuf_new_from_file(string.join([path, "unmount.png"], '/'))
        pixbuf = pixbuf.add_alpha(True, chr(0xff), chr(0xff), chr(0xff))
        iconset = gtk.IconSet (pixbuf)
        iconfactory.add ("UNMOUNT", iconset)

        pixbuf = gtk.gdk.pixbuf_new_from_file(string.join([path, "scan.png"], '/'))
        pixbuf = pixbuf.add_alpha(True, chr(0xff), chr(0xff), chr(0xff))
        iconset = gtk.IconSet (pixbuf)
        iconfactory.add ("SCAN", iconset)

        pixbuf = gtk.gdk.pixbuf_new_from_file(string.join([path, "filemanager.png"], '/'))
        pixbuf = pixbuf.add_alpha(True, chr(0xff), chr(0xff), chr(0xff))
        iconset = gtk.IconSet (pixbuf)
        iconfactory.add ("FILEMANAGER", iconset)

        iconfactory.add_default()
        return 

if __name__ == "__main__":
    try: 
        iconset("icons")
    except:
        iconset(string.join([config.config(), '/', 'share', '/', 'pyNeighborhood', '/', 'icons'], ''))

    cur_dir = os.getenv("PWD")

#    if not path.exists(getenv("HOME")+"/.pyNeighborhood"):
#        mkdir(getenv("HOME")+"/.pyNeighborhood")
#        home = getenv("HOME")
#        hostslocation = string.join([home, "/.pyNeighborhood"], '')
#        os.chdir(hostslocation)
#        srcfile = string.join([config.config(), '/', 'share', '/', 
#                                                        'pyNeighborhood', '/', 'defaults'], '')
#        copy (srcfile, "options")
#        hostfile = open('hosts', 'a')
#        hostfile.close()
#        os.chdir(cur_dir)
    mainwindow.MainWindow()
    mainwindow.main()
 
